Subject: Re: Linux 2.6.25-rc6: WARNING: at net/ipv4/tcp_input.c:2510

From: Georgi Chorbadzhiyski <[email-masked]>
Date: Sat, 05 Apr 2008 14:09:25 +0300

Around 04/04/08 22:15, Ilpo Järvinen scribbled:
>> The machine that gave me this error is a http and ftp server handling not
>> very busy distro mirror (if this can give you any clues).
>>
>>> processing expensive verification of TCP state (validates TCP write queue 
>>> invariants multiple times per ACK by scanning through the write queue) on 
>>> such machine?
>> How to run such a thing, can you give me some pointers?
> 
> I sent the patch recently to netdev/lkml:
> 
>   http://marc.info/?l=linux-netdev&m=120733529216457&w=2
> 
> But it's very expensive in processing wise so it might not be wise to put 
> it in if performance is important for you.

Ok, I patched the kernel and will let it run for a while. Performance is
an issue but I think it's better to pinpoint the bug.

-- 
Georgi Chorbadzhiyski
http://georgi.unixsol.org/